Social API reference

Social API · Lists

get/v1/communities/{community_id}/lists/{list_id}Auth

Get one list by id.

Path parameters

community_id*string

Social community UUID.

list_id*string

List UUID.

Query parameters

actor_idstring · uuid

Viewer actor UUID — required to see a private list (must equal owner).

Response · 200 List.

id*string · uuid

List UUID.

Example: "11111111-0000-0000-0000-000000000001"

community_id*string · uuid

Owning community UUID.

Example: "cccccccc-cccc-cccc-cccc-cccccccccccc"

owner_id*string · uuid

List owner — social actor UUID.

Example: "aaaaaaaa-0000-0000-0000-000000000001"

name*string

List display name.

Example: "Tech news"

description*string

Optional description.

Example: "Curated tech accounts I follow."

visibility*object

public = discoverable; private = owner-only.

Example: "public"

member_count*number

Current member count.

Example: 12

created_at*string · date-time

ISO timestamp.

Example: "2026-05-01T12:00:00.000Z"

updated_at*string · date-time

ISO timestamp.

Example: "2026-05-01T12:00:00.000Z"

Example

Request

GET https://social.productcraft.co/v1/communities/{community_id}/lists/{list_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "11111111-0000-0000-0000-000000000001",
  "community_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
  "owner_id": "aaaaaaaa-0000-0000-0000-000000000001",
  "name": "Tech news",
  "description": "Curated tech accounts I follow.",
  "visibility": "public",
  "member_count": 12,
  "created_at": "2026-05-01T12:00:00.000Z",
  "updated_at": "2026-05-01T12:00:00.000Z"
}